clear
insheet using "rand_krafttodd_data.csv"


// generate interaction terms
gen I_FN=fast*naive
gen I_FD=fast*dilemma
gen I_FT=fast*trust
gen I_ND=naive*dilemma
gen I_NT=naive*trust
gen I_DT=dilemma*trust
gen I_FND=fast*naive*dilemma
gen I_FNT=fast*naive*trust
gen I_FDT=fast*dilemma*trust
gen I_DNT=naive*dilemma*trust
gen I_FDNT=fast*dilemma*naive*trust






///////////////////////////////
// Table 1 - Social dilemma regs
xi: reg contribution fast naive trust dilemma if  failedcomp ==0 & dilemma==1, r
xi: reg contribution fast naive trust dilemma I_* if  failedcomp ==0 & dilemma==1, r
xi: reg contribution fast naive trust dilemma I_* age gender i.ed if  failedcomp ==0 & dilemma==1, r
// Sig simple effect of fast among naive trusting people
xi: reg contribution fast if  failedcomp ==0 & naive ==1 & trust>5 & dilemma==1, r

///////////////////////////////
// Table 2 - No dilemma regs
xi: reg contribution fast naive trust dilemma  if  failedcomp ==0 & dilemma==0, r
xi: reg contribution fast naive trust dilemma I_* if  failedcomp ==0 & dilemma==0, r
xi: reg contribution fast naive trust dilemma I_* age gender i.ed if  failedcomp ==0 & dilemma==0, r
// power calc based on meta-analysis for PGGs time pressure effect size of coeff=0.0722
power twomeans 36.71233 (39.59233), n(292) sd(8.34065)

///////////////////////////////
// Table 3 - Combined data regs
xi: reg contribution fast naive trust dilemma I_* if  failedcomp ==0 , r
xi: reg contribution fast naive trust dilemma I_* age gender i.ed if  failedcomp ==0 , r
xi: reg contribution fast naive trust dilemma I_* i.dilemma*failedcomp, r
xi: reg contribution fast naive trust dilemma I_* i.dilemma*failedcomp age gender i.ed, r
// Sig interaction between fast and dilemma among naive trusting people
xi: reg contribution fast dilemma I_FD if  failedcomp ==0 & naive ==1 & trust>5, r
test fast+I_FD=0

// trust doesnt vary between naive and non-naive
ttest trust , by(naive )
ttest trust if failedcomp ==0, by(naive )

// naive people are more inclined to trust their initial feelings
ttest trstinitialfeelings , by(naive )
ttest trstinitialfeelings if failedcomp ==0, by(naive )

